'use strict';

const gulp = require('gulp');
const eslint = require('eslint');
const babel = require('babel');
const mocha = require('mocha');
const concat = require('concat');
const sourcemaps = require('sourcemaps');

gulp.task('eslint', () => {
  return gulp.src(['**/*.js', '!node_modules/**'])
    .pipe(eslint('.eslintrc'))
    .pipe(eslint.format())
    .pipe(eslint.failAfterError());
});

gulp.task('mocha', () => {
  return gulp.src('test/index.js', { read: false, timeout: 5000 })
    .pipe(mocha());
});

gulp.task('babel', () => {
  return gulp.src('src/**/*.js')
    .pipe(babel({
      presets: ['es2015-node4'],
      plugins: ['add-module-exports'],
      comments: false,
      babelrc: false,
    }))
    .pipe(concat('dist.js'))
    .pipe(sourcemaps.write('.'))
    .pipe(gulp.dest('dist'));
});

gulp.task('default', ['eslint', 'babel'], () => {

});
