'use strict';

/**
 * Convert Degree to Radian
 * @param {Float} deg - Degree
 * @return {Float} Radian
 */
function degToRad(deg) {
  return deg * Math.PI / 180;
}

/**
 * Convert Radian to Degree
 * @param {Float} rad - Radian
 * @return {Float} Degree
 */
function radToDeg(rad) {
  return rad * 180 / Math.PI;
}

/**
 * Convert Celcius temperature to Farenheit temperature
 * @param {Float} celcius - Celcius temperature
 * @return {Float} fahrenheit - Fahrenheit temperature
 */
function celciusToFahrenheit(celcius) {
  return (celcius * (9 / 5)) + 32;
}

/**
 * Convert Fahrenheit temperature to Celcius temperature
 * @param {Float} fahrenheit - Fahrenheit temperature
 * @return {Float} celcius - Celcius temperature
 */
function fahrenheitToCelcius(fahrenheit) {
  return (fahrenheit - 32) * (5 / 9);
}

module.exports = {
  degToRad,
  radToDeg,
  celciusToFahrenheit,
  fahrenheitToCelcius,
};
